首页 > linux > yum 包依赖错误解决
2014
07-13

yum 包依赖错误解决

yum 是linux下安装软件的一种机制,会自动解决包之间的依赖关系。

正常情况下来说,只要你的机器能链接到相应的源上,yum不会报包依赖相关的错误。

上次本地安装ambari的时候(已经配置好本地源),提示ambari依赖python 26,尝试yum 安装python,

提示已安装且是最新版本,这中情况下就觉得yum的报错不得解,

于是就尝试使用rpm方式安装ambari的rpm包,使用rpm命令安装时报错,提示某个目录被lock(锁),这时候就有解决办法了

将rpm lock的目录里面的东西删除就行了 使用rm -rf 命令

rm -f /var/lib/rpm/__db.*
rpm –rebuilddb
yum clean all

最后编辑:
作者:小马哥
大数据技术学习及实践者~

留下一个回复

你的email不会被公开。